Bug Hunting Session
Bug 67685 - [DATALOSS] when basic, but not dialog, library loaded, save "forgets" to save the dialogs
Summary: [DATALOSS] when basic, but not dialog, library loaded, save "forgets" to save...
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: BASIC (show other bugs)
Version:
(earliest affected)
4.1.0.1 rc
Hardware: All All
: medium blocker
Assignee: Lionel Elie Mamane
URL:
Whiteboard: target:4.2.0 target:4.1.1 target:4.3.0
Keywords:
Depends on: 65045
Blocks: mab4.1
  Show dependency treegraph
 
Reported: 2013-08-02 20:52 UTC by Lionel Elie Mamane
Modified: 2016-03-08 22:11 UTC (History)
7 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Lionel Elie Mamane 2013-08-02 20:52:57 UTC
Open a odb file that has both basic macros and dialogs. Load the Standard basic library (e.g. by merely browsing it, or by running a macro), but DO NOT load the Standard dialog library (do not open any dialog, do not even browse the dialog down to file.odb/Standard).

Make a change to the file, any change that does not load the dialog library. E.g. rename a query or go into the database properties (edit / database / advanced settings) and check/uncheck a checkbox and click OK.

Save the file.

The dialogs are gone. (They are still listed in the dialog library, but the actual dialogs are gone.)


It is similar, but in some way worse, than bug 40079.
Comment 1 Lionel Elie Mamane 2013-08-02 20:57:01 UTC
Attachment 50310 [details] provides a good testcase.

Very detailed reproduction instructions at bug 40079 comment 6, except for this bug it ends with:

Notice no error message, and the "save" toolbar button gets deactivated, indicating a successful save. But data loss has just occured.
Comment 2 tim 2013-08-02 21:15:44 UTC
I had previously tried and failed to emulate this problem with hsql.  However, having not understood the nature of it I didn't manage to make it easily repeatable.  

Having sent copies of my full system in various states to Lionel it seems he's got to the root of it.
Comment 3 Commit Notification 2013-08-02 21:41:24 UTC
Lionel Elie Mamane committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=fc9080a0c60f263d00eb71111fcda72b3c0a2ebb

fdo#67685 open xSourceLibrariesStor only when needed



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2013-08-06 08:58:04 UTC
Lionel Elie Mamane committed a patch related to this issue.
It has been pushed to "libreoffice-4-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=a05a4a7d546c8ed6d106e7b2d81aac83f87b3b92&h=libreoffice-4-1

fdo#67685 open xSourceLibrariesStor only when needed


It will be available in LibreOffice 4.1.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 5 tim 2013-08-17 15:17:35 UTC
I have verified that this has been fixed on 4.1.1.1 RC on 32 bit linux debian.  

I used my own test system based on a mysql database, that I had previously sent to Lionel as an example of the problem.  I no longer lose the dialogs when moving my odb from one system to another and making changes to the connection method and saving without opening any dialogs.

Thanks.
Comment 6 Commit Notification 2013-09-27 09:45:40 UTC
Lionel Elie Mamane committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=92c53b9d94a5d51e2d507b7eeecfcf2b023cdd4b

unittest for fdo#67685



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2014-05-22 11:19:15 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=5ca4b9d51046b9b6a36b91c9abd0cc1e7c04b480

Revert "fdo#67685 open xSourceLibrariesStor only when needed"



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 8 Commit Notification 2014-05-22 15:15:41 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "libreoffice-4-2":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=adfd7805bc61ff4ec56f6570fc516ff3aad74a28&h=libreoffice-4-2

Revert "fdo#67685 open xSourceLibrariesStor only when needed"


It will be available in LibreOffice 4.2.5.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 9 Commit Notification 2014-05-26 09:52:10 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "libreoffice-4-3":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=22cf5c7f745b9b7645bdfc881de229731417aad6&h=libreoffice-4-3

Revert "fdo#67685 open xSourceLibrariesStor only when needed"


It will be available in LibreOffice 4.3.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.